//app.js
App({
  onLaunch: function() {
    setTimeout(function () {
      this.checkLoginState()
    }.bind(this), 1000)
  },

  checkLoginState: function() {
    var pages = getCurrentPages() //获取加载的页面
    var currentPage = pages[pages.length - 1] //获取当前页面的对象
    var url = currentPage.route    //当前页面url
    if (url != "pages/login/index" && this.globalData.isLogin == false) {
      wx.redirectTo({
        url: '/pages/login/index',
      })
    }
  },
  globalData: {
    isLogin: false,
    userInfo: null,
    //一些默认值
    operate_btn_height: 80,
    recordTypes: {
      "diet_morning": '早餐',
      "diet_afternoon": "午餐",
      "diet_evening": "晚餐",
      "diet_morning_more": "上午加餐",
      "diet_afternoon_more": "下午加餐",
      "diet_water": "喝水",
      "diet_milk": "饮用牛奶",
      "sleep_time": "睡眠时间",
      "wc_pee": "小便",
      "wc_poo": "大便",
      "wc_diaper": "尿不湿"
    },
    eatStates: {
      "less": "少",
      "normal": "正常",
      "more": "多"
    },
    studentPaymentTypes: {
      'nursery_all': '全托',
      'nursery_morning': '上午托',
      'nursery_afternoon': '下午托',
    }

  }
})